## openafs 1.8.0~pre4

=== debian/changelog ===
openafs (1.8.0~pre4-1) unstable; urgency=low

  [ Benjamin Kaduk ]
  * New upstream major release (prerelease):
    - Servers no longer use rxkad.keytab for long-term keys, which are
      now stored in KeyFileExt.  Administrators must use akeyconvert
      or similar tooling to populate the KeyFileExt after updating the
      krb5 keys in rxkad.keytab.  In most cases, `akeyconvert` with no
      arguments will suffice; that command is run automatically in the
      package's postinstall script.
    - kaserver, klog.afs, pam-openafs-kaserver, and other kauth-related
      tools are removed.
    - Server log handling has changed.  Logs are not truncated at
      startup by default, and are re-opened on SIGUSR1, to be compatible
      with external log rotation tools.
    - Client time management support (afsd -settime and afsd -nosettime)
      has been removed.
    - Linux versions prior to 2.6 are no longer supported by the client.
    - Desupport 32-bit s390/s390x
    - Most binaries now use pthreads instead of LWP green threads.
    - The fileserver ihandle fsync thread is removed.
    - Support Linux up to 4.14
    - Provide vldb cache timeout option for clients
    - Eliminate potential 100ms delay after rx receive window changes
    - Modify volume update date after salvager makes changes
    - Improve ubik safety for relabels and writes shortly after an election
    - Preserve volume stats during reclone and restore operations
    - Improve command-line parsing for various utilities.
      (Closes: #715623, #715787, #716144, #716234, #716444)
    - Fix for OPENAFS-SA-2017-001. (Closes: #883602)
    - Many other generic improvements throughout the tree; consult the
      upstream changelog for details.
  * Add versioned build-depends for renamed symbols in heimdal-multidev.
    (Closes: #848664)
  * Bump Standards-Version to 4.1.3 (no changes needed).
  * Update Dutch debconf translation; thanks Frans Spiesschaert.
    (Closes: #874280)

  [ Anders Kaseorg ]
  * Use dh_auto_configure.
  * Correct some paths in the openafs-doc packaging

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 03 Jan 2018 22:14:49 -0600

openafs (1.6.22-3) unstable; urgency=medium

  * Pull in upstream patch to avoid OOPS on linux 4.14 kernels.
    (Closes: #884420)
  * Pull in pending upstream patch to include stdint.h where needed.
    This should allow Ubuntu to return to syncing openafs from Debian.

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 14 Dec 2017 21:08:16 -0600

openafs (1.6.22-2) unstable; urgency=medium

  * Update Russian debconf translation; thanks Lev Lamberov.
    (Closes: #883916)
  * Pull in upstream patches to build with kernel 4.14. (Closes: #884276)

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 13 Dec 2017 19:15:58 -0600

openafs (1.6.22-1) unstable; urgency=high

  * New upstream security release:
    - Fix for OPENAFS-SA-2017-001. (Closes: #883602)
    - Improved support for recent Linux versions

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 05 Dec 2017 10:28:15 -0600
