=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>,
  Anders Kaseorg <andersk@mit.edu>
-Build-Depends: debhelper (>= 9.20160114~), autoconf, automake, bison, comerr-dev,
+Build-Depends: debhelper (>= 9.20160709~), autoconf, automake, bison, comerr-dev,
  cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
- libpam0g-dev, libxml2-utils, perl, pkg-config, dh-systemd
+ libpam0g-dev, libxml2-utils, perl, pkg-config,
+ libtool, heimdal-multidev (>= 1.7~git20150920)
 Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen (>= 1.8.4-1~),
  xsltproc
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.openafs.org/
 Vcs-Git: git://anonscm.debian.org/pkg-k5-afs/openafs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-k5-afs/openafs.git
@@ -33,7 +34,7 @@
  want to install openafs-krb5.
 
 Package: openafs-fuse
-Priority: extra
+Priority: optional
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends},
  openafs-client (= ${binary:Version})
@@ -47,22 +48,6 @@
  AFS, doesn't work with all of the normal AFS client programs, and must be
  started manually, but may be of interest in situations where read-only
  access is sufficient and the kernel module cannot be built.
-
-Package: openafs-kpasswd
-Priority: extra
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
-Depends: ${shlibs:Depends}, ${misc:Depends},
- openafs-client (= ${binary:Version})
-Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
-Description: AFS distributed filesystem old password changing
- AFS is a distributed filesystem allowing cross-platform sharing of
- files among multiple computers.  Facilities are provided for access
- control, authentication, backup and administrative management.
- .
- This package provides kpasswd and kas, utilities needed by the OpenAFS
- kaserver to create users and change passwords.  Only install this package
- if you are already using kaserver; generally you should not install this
- package for new cells or for cells using Kerberos v5.
 
 Package: openafs-fileserver
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
@@ -119,7 +104,7 @@
  from a Kerberos keytab, and ka-forwarder, a utility to forward kaserver
  requests to a KDC using fakeka.
 
-Package: libkopenafs1
+Package: libkopenafs2
 Section: libs
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -132,7 +117,7 @@
  manipulating AFS process authentication groups (PAGs).  It provides the
  a subset of the interface provided by the Heimdal libkafs library.
 
-Package: libafsauthent1
+Package: libafsauthent2
 Section: libs
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -144,7 +129,7 @@
  This package provides the shared library implementing AFS client
  authentication and token management.
 
-Package: libafsrpc1
+Package: libafsrpc2
 Section: libs
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -158,11 +143,11 @@
 
 Package: libopenafs-dev
 Section: libdevel
-Priority: extra
+Priority: optional
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libafsauthent1 (= ${binary:Version}), libafsrpc1 (= ${binary:Version}),
- libkopenafs1 (= ${binary:Version}),
+ libafsauthent2 (= ${binary:Version}), libafsrpc2 (= ${binary:Version}),
+ libkopenafs2 (= ${binary:Version}),
 Suggests: openafs-doc
 Conflicts: arla-dev, liblwp-dev
 Description: AFS distributed filesystem development libraries
@@ -175,7 +160,7 @@
 
 Package: openafs-modules-source
 Section: kernel
-Priority: extra
+Priority: optional
 Architecture: all
 Depends: ${misc:Depends}, debhelper (>= 8),
  module-assistant | kernel-package, perl
@@ -190,7 +175,7 @@
 
 Package: openafs-modules-dkms
 Section: kernel
-Priority: extra
+Priority: optional
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, dkms, libc6-dev
 Recommends: openafs-client (>= ${source:Version})
@@ -201,19 +186,3 @@
  .
  This package contains the source for the AFS kernel module, packaged with
  appropriate configuration for DKMS to build new modules dynamically.
-
-Package: libpam-openafs-kaserver
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
-Section: admin
-Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends},
- openafs-client (= ${binary:Version})
-Description: AFS distributed filesystem kaserver PAM module
- AFS is a distributed filesystem allowing cross-platform sharing of
- files among multiple computers.  Facilities are provided for access
- control, authentication, backup and administrative management.
- .
- This package provides a PAM module for existing  sites using the AFS
- kaserver for authentication.  New sites should use a Kerberos v5
- implementation, a Kerberos v5 PAM module such as libpam-krb5, and
- libpam-afs-session.
