## openafs 1.8.0~pre5

=== debian/changelog ===
openafs (1.8.0~pre5-1ubuntu1.2) bionic; urgency=medium

  [ Tyler Hicks ]
  * 0005-LINUX-5.3.0-Check-for-recurse-arg-in-keyring_search.patch,
    0006-LINUX-5.3.0-Use-send_sig-instead-of-force_sig.patch: Apply patches
    from upstream to fix build failures with the 5.3 kernel (LP: #1837893)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 22 Nov 2019 10:29:27 -0300

openafs (1.8.0~pre5-1ubuntu1.1) bionic; urgency=medium

  * Fix build for Linux 5.0 (LP: #1839890)

 -- Connor Kuehl <connor.kuehl@canonical.com>  Mon, 23 Sep 2019 08:49:23 -0700

openafs (1.8.0~pre5-1ubuntu1) bionic; urgency=medium

  * Fix build failures for 4.18 kernels. (LP: #1787438)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 21 Nov 2018 11:26:34 -0200

openafs (1.8.0~pre5-1) unstable; urgency=low

  [ Russ Allbery ]
  * Remove myself from Uploaders.

  [ Benjamin Kaduk ]
  * New upstream release candidate:
    - Update CellServDB from grand.central.org (2017-03-14)
    - Avoid rare deadlock condition when recreating a deleted file/directory
      on old Linux kernels
    - Clean up ubik DISK_ RPC behavior with respect to sending updates to
      sites that would reject the update
    - Remove includes of <rpc/types.h>, for compatibility with glibc 2.26
    - Do not include RXGEN_OPCODE when throttling clients that generate too
      many abort replies
  * Update Vcs- entries in control to reflect the move from alioth to salsa
  * Correct 1.8.0~pre4-1 changelog entry to reflect that it closed one more
    Mayhem-reported bug.  (Closes: #716446)

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 19 Feb 2018 10:51:08 -0600
