=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
-Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>,
- Anders Kaseorg <andersk@mit.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Uploaders: Sam Hartman <hartmans@debian.org>, Anders Kaseorg <andersk@mit.edu>
 Build-Depends: debhelper (>= 9.20160709~), autoconf, automake, bison, comerr-dev,
  cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config,
@@ -12,8 +12,8 @@
  xsltproc
 Standards-Version: 4.1.3
 Homepage: http://www.openafs.org/
-Vcs-Git: git://anonscm.debian.org/pkg-k5-afs/openafs.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-k5-afs/openafs.git
+Vcs-Git: https://salsa.debian.org/debian/openafs.git
+Vcs-Browser: https://salsa.debian.org/debian/openafs
 
 Package: openafs-client
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
