=== debian/watch ===
# Note that the following watch file does not find development releases,
# only general releases and release candidates.  If we package development
# releases, a rule should be added to find them as well.

version=3

# Without the /pages in the URL, one gets the frameset page.
opts=dversionmangle=s/[\.+]dfsg\d+$// \
    http://www.openafs.org/pages/release/latest.html \
        .*/openafs-([^-]+)-src\.tar\.gz

# Release candidates are stashed in another secret place and we change the
# version number for proper sorting of versions in Debian.
opts="uversionmangle=s/-rc/~rc/;s/pre/~pre/,dversionmangle=s/[\.+]dfsg\d+$//" \
    http://dl.openafs.org/dl/openafs/candidate/ ([^/]+-?(?:rc|pre)\d+)/
