## openafs 1.8.2

=== debian/changelog ===
openafs (1.8.2-1) unstable; urgency=high

  * New upstream release 1.8.1.1:
    - Support Linux 4.18.
  * New upstream security release 1.8.2 (Closes: #908616):
    - Fix OPENAFS-SA-2018-001: unauthenticated volume operations via butc
      (CVE-2018-16947).
    - Fix OPENAFS-SA-2018-002: information leakage in RPC output variables
      (CVE-2018-16948).
    - Fix OPENAFS-SA-2018-003: denial of service due to excess resource
      consumption (CVE-2018-16949).

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 11 Sep 2018 22:53:43 -0700

openafs (1.8.1-1) unstable; urgency=medium

  * New upstream release.  In addition to changes in pre2:
    - Fix issue where `vldb_check -fix` would corrupt databases with multiple
      MH blocks
    - Improved error handling when the cache partition is inaccessible
    - Improved error handling when page allocation fails
  * Supply sysname generation for arm64 to get further in the build.

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 29 Jul 2018 10:35:12 -0500

openafs (1.8.1~pre2-1) unstable; urgency=medium

  * New upstream prerelease:
    - Add support for arm64
    - Improve usability of the shared libraries and public API
    - Fix volume callbacks so clients see updates after volume releases
    - Fix Rx connection refcount error that could lead to server crashes
    - Fix panic when cahe bypass is enabled
    - Use valid serial number for Rx aborts if possible (and 0 otherwise)
    - Return valid InlineBulkStatus responses in error cases
    - The fileserver rejects invalid partition names when attaching partitions
    - Improve cache manager behavior when unable to open cache files (e.g.,
      if the cache partition is remounted readonly)
    - Improve some error messages
  * Update Dutch debconf translation; thanks Frans Spiesschaert.
    (Closes: #895459)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 01 Jul 2018 18:42:26 -0500

openafs (1.8.0-1) unstable; urgency=low

  * New upstream release.  Changes since pre5:
    - Fix issues with -Wpointer-sign
    - Edits to the afsd manpage regarding the -volume-ttl feature
  * Update debian/README.source to reflect the move from Alioth to Salsa
  * Update German debconf translation; thanks Pfannenstein Erik.
    (Closes: #887663)

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 05 Apr 2018 21:16:37 -0500
