=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Sam Hartman <hartmans@debian.org>, Anders Kaseorg <andersk@mit.edu>
 Build-Depends: debhelper (>= 9.20160709~), autoconf, automake, bison, comerr-dev,
  cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
@@ -16,7 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/openafs
 
 Package: openafs-client
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Recommends: lsof, openafs-modules-dkms (>= ${source:Version})
  | openafs-modules-source (>= ${source:Version})
@@ -35,7 +34,7 @@
 
 Package: openafs-fuse
 Priority: optional
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends},
  openafs-client (= ${binary:Version})
 Description: AFS distributed file system experimental FUSE client
@@ -50,7 +49,7 @@
  access is sufficient and the kernel module cannot be built.
 
 Package: openafs-fileserver
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), openafs-client
 Recommends: ntp | time-daemon
 Suggests: openafs-doc
@@ -63,7 +62,7 @@
  installed on any machine that will export files into AFS.
 
 Package: openafs-dbserver
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends},
  openafs-fileserver
 Recommends: openafs-client
@@ -91,7 +90,7 @@
  protocol documentation, and other OpenAFS documentation.
 
 Package: openafs-krb5
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: openafs-client (<< 1.4.7.dfsg1-1)
 Description: AFS distributed filesystem Kerberos 5 integration
@@ -106,7 +105,7 @@
 
 Package: libkopenafs2
 Section: libs
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AFS distributed file system runtime library (PAGs)
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -119,7 +118,7 @@
 
 Package: libafsauthent2
 Section: libs
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AFS distributed file system runtime library (authentication)
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -131,7 +130,7 @@
 
 Package: libafsrpc2
 Section: libs
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AFS distributed file system runtime library (RPC layer)
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -144,7 +143,7 @@
 Package: libopenafs-dev
 Section: libdevel
 Priority: optional
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm arm64 armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libafsauthent2 (= ${binary:Version}), libafsrpc2 (= ${binary:Version}),
  libkopenafs2 (= ${binary:Version}),
