## openafs 1.8.4~pre1

=== debian/changelog ===
openafs (1.8.4~pre1-1ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:04:58 +0000

openafs (1.8.4~pre1-1ubuntu1) eoan; urgency=medium

  * 0005-LINUX-5.3.0-Check-for-recurse-arg-in-keyring_search.patch,
    0006-LINUX-5.3.0-Use-send_sig-instead-of-force_sig.patch: Apply patches
    from upstream to fix build failures with the 5.3 kernel (LP: #1837893)

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 30 Aug 2019 06:32:07 +0000

openafs (1.8.4~pre1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package
  * d/changelog: Remove trailing whitespaces

  [ Anders Kaseorg ]
  * New upstream release 1.8.3:
    - Miscellaneous improvements to error handling and server efficiency
      (see NEWS).
    - Support Linux 5.0.
  * Update CellServDB from grand.central.org (2018-05-14).
  * Remove custom compression settings for Debian tarball and binary
    packages.

  [ Benjamin Kaduk ]
  * New upstream prerelease 1.8.4pre1:
    - Further work to avoid spurious ENOENTs from filesystem access.
    - Fix the behavior of ptserver -restricted to match the documentation.
    - Autoconf updates and modernization. (Closes: #934758)
    - Additional miscellaneous improvements (see NEWS).
  * openafs-fileserver now depends on openafs-krb5 for akeyconvert in the
    maintainer script. (Closes: #934236)
  * Debconf translation update:
    - Danish, thanks Joe Hansen.  (Closes: #923111)
  * Backport upstream patch to require opt-in for weak crypto in aklog
    and klog.krb5. (Closes: #931819)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sat, 17 Aug 2019 06:54:44 -0700
