=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,7 @@
 #!/usr/bin/make -f
 
-# Tell Autoconf the correct system types.
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-    SYSTEM = --build $(DEB_HOST_GNU_TYPE)
-else
-    SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
-endif
-
-# Set compiler flags.
-CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
 
 # Determine whether we're building with optimization.  This doesn't really
 # work at the moment due to upstream problems.
@@ -56,7 +45,7 @@
 # /usr/share/doc/openafs-client.  Any package on this list must depend on
 # openafs-client.  This variable is used as options to dh_installdocs with
 # the --link-doc option.
-DOC_PACKAGES = -plibpam-openafs-kaserver -popenafs-fuse -popenafs-kpasswd
+DOC_PACKAGES = -popenafs-fuse
 
 # These are files that we know we don't want to install.  List them so that we
 # can use dh_install --fail-missing and catch anything new that shows up.
@@ -68,7 +57,7 @@
 	-Xxfs_size_check
 
 # Installed via other means since we have to rename them.
-IGNORE += -Xafsd.fuse.8 -Xpam_afs
+IGNORE += -Xafsd.fuse.8
 
 # These variables are used by get-orig-source, to construct dkms.conf, and
 # to set the build version.  You will need to change TAG to package stable
@@ -102,9 +91,6 @@
 
 # Handle the renaming of the up man page to afs-up here since the man pages
 # are generated from POD source by regen.sh.
-#
-# As a temporary workaround until upstream supports using
-# user-provided CFLAGS, CPPFLAGS, and LDFLAGS, we pass these via CC.
 override_dh_auto_configure:
 	@if test x"$(SYS_NAME)" = x"UNKNOWN" ; then exit 1 ; fi
 	echo '$(DEBIAN)'-debian > .version
@@ -112,16 +98,20 @@
 	rm -f doc/man-pages/man1/up.1
 	sh regen.sh
 	afslogsdir=/var/log/openafs afslocaldir=/var/lib/openafs/local	   \
-	    sh configure						   \
-	    CC='$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)'			   \
+	    dh_auto_configure --					   \
 	    --with-afs-sysname=$(SYS_NAME) --disable-kernel-module	   \
-	    --prefix=/usr --mandir=\$${prefix}/share/man		   \
-	    --sysconfdir=/etc --libexecdir=/usr/lib --with-krb5		   \
+	    --libdir=\$${prefix}/lib --libexecdir=\$${prefix}/lib	   \
 	    --localstatedir=/var/lib --enable-supergroups		   \
 	    --enable-fuse-client --enable-debug --enable-debug-lwp	   \
 	    --with-docbook2pdf=dblatex --with-xslt-processor=xsltproc	   \
 	    --with-html-xsl=$(HTML_XSL)					   \
-	    $(DEBIAN_OPT_FLAGS) $(SYSTEM)
+	    --with-krb5-include=/usr/include/mit-krb5			   \
+	    --with-krb5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5	   \
+	    --with-roken-include=/usr/include/heimdal			   \
+	    --with-roken-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal	   \
+	    --with-hcrypto-include=/usr/include/heimdal			   \
+	    --with-hcrypto-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal	   \
+	    $(DEBIAN_OPT_FLAGS)
 
 # Also build a libafs_tree and build the XML documentation if building
 # architecture-independent packages.
@@ -144,7 +134,7 @@
 	done
 	[ ! -f debian/changelog.in ] \
 	    || cp debian/changelog debian/changelog.save
-	dh_auto_clean
+	dh_auto_clean -- maintainer-clean
 	[ -f debian/changelog ] || mv debian/changelog.save debian/changelog
 
 # We have to use a non-standard install target and then do some fiddling
@@ -154,6 +144,8 @@
 	$(MAKE) install_nolibafs DESTDIR=$(CURDIR)/debian/tmp
 	rm -f debian/tmp/usr/bin/klog.krb
 	rm -f debian/tmp/usr/share/man/man1/klog.krb.1
+	rm -f debian/tmp/usr/share/man/man8/kas*.8
+	rm -f debian/tmp/usr/share/man/man1/kkpasswd.1
 
 # Override dh_install for architecture-dependent builds to move some files
 # around, do some manual installation of things like PAM modules, and ensure
@@ -166,17 +158,8 @@
 	    debian/openafs-client/usr/bin/pagsh.openafs
 	mv debian/openafs-client/usr/share/man/man1/pagsh.1 \
 	    debian/openafs-client/usr/share/man/man1/pagsh.openafs.1
-	mv debian/openafs-client/usr/bin/klog \
-	    debian/openafs-client/usr/bin/klog.afs
-	mv debian/openafs-client/usr/share/man/man1/klog.1 \
-	    debian/openafs-client/usr/share/man/man1/klog.afs.1
 	mv debian/openafs-client/usr/bin/up \
 	    debian/openafs-client/usr/bin/afs-up
-
-	install -m 644 -c debian/tmp/usr/lib/pam_afs.so.1 \
-	    debian/libpam-openafs-kaserver/lib/security/pam_afs.so
-	install -m 644 -c debian/tmp/usr/lib/pam_afs.krb.so.1 \
-	    debian/libpam-openafs-kaserver/lib/security/pam_afs.krb.so
 
 	install -d debian/openafs-dbserver/usr/share/man/man8
 	( cd debian && pod2man --section 8 --center "Debian GNU/Linux"	\
@@ -184,3 +167,19 @@
 	    >debian/openafs-dbserver/usr/share/man/man8/afs-rootvol.8
 	( cd debian && pod2man --section 8 --center "Debian GNU/Linux"	\
 	    afs-newcell )						\
+	    >debian/openafs-dbserver/usr/share/man/man8/afs-newcell.8
+
+# Override dh_install for architecture-independent builds to handle
+# installation of all the extra documentation that upstream doesn't install
+# by default and install the source required for the kernel source package
+# and the DKMS package.
+override_dh_install-indep:
+	mkdir -p $(DOCS)/html
+	-cp doc/xml/*.gif doc/xml/*.html $(DOCS)/html/
+	set -e; for d in $(GENDOCS); do	\
+	    mkdir $(DOCS)/html/$$d ;					\
+	    cp doc/xml/$$d/*.html $(DOCS)/html/$$d/ ;			\
+	    cp doc/xml/$$d/*.pdf $(DOCS)/ ;				\
+	done
+	-cp doc/xml/AdminGuide/*.png $(DOCS)/html/AdminGuide/
+	mkdir $(DOCS)/html/arch-overview
